const isDark = useDark()
const toggleDark = useToggle(isDark)
const formatDate=(row, column)=> {
	// 获取单元格数据
	let data = row[column.property];
	if(data == null)
		return null;

	let dt = new Date(data)
	return dt.getFullYear() + '-' + (dt.getMonth() + 1) + '-' + dt.getDate() + ' ' + dt.getHours() + ':' + dt.getMinutes() + ':' + dt.getSeconds()
}
const formatOnlyDate=(data)=> {
	let dt = new Date(data)
	return dt.getFullYear() + '-' + (dt.getMonth() + 1) + '-' + dt.getDate()
}
export default () => ({ formatDate,formatOnlyDate,isDark, toggleDark })
